<%@Language="VBScript"%>
<%'The Option Explicit makes sure that all varibles are declared
Option Explicit

'Response.Expires ensures that the page is not cached in the browser
Response.Expires = -1000

'Response.Buffer means that the page is buffered on the web server. The browser will not receive
'the page until the contents have finished rendering on the browser
'Response.Buffer = True

'If the User wishes to log out, we destroy the session variables
'When it gets to the next line, they will be redirected back to Login.asp
'Cool huh?
If Len(Trim(Request("Destroy")))<>0 Then
	If CInt(Trim(Request("Destroy"))) = 1 Then
		Session("UserName") = ""
	End If
End If

'Check to see if the UserName has been stored in a session variable. If not
'send the user to the Login.asp page. This will then force them to login again.
'This helps to prevent someone from just typing the URL of the page into the browser window
'and getting into the site
If Len(Trim(Session("UserName")))=0 Then
	'Why do we just check UserName? Well the user may have no password!
	Response.Redirect("Login.asp")
End If%>
<HTML>
	<HEAD>
		<META NAME="GENERATOR" Content="Microsoft Visual Studio 6.0">
		<TITLE>Spy Net Limited</TITLE>
	</HEAD>
	
	<SCRIPT LANGUAGE="JavaScript">
		function VerifyLogout(){
			var bConfirm = window.confirm('This will log you out of Spy Net. Are you sure you wish to continue?');
			if (!bConfirm)
				window.event.returnValue = false
		}
	</SCRIPT>
	
	<STYLE TYPE="text/css">
		A:link	{color: #ffffff;text-decoration:none}
		A:visited	{color: #ffffff;text-decoration:none}
		A.b		{color: #ffffff; text-decoration:none;}
		A.r		{color: #ffffff; text-decoration:none;}
		A.bb	{color: #ffffff; text-decoration:none;}
		A.bb:visited	{color: #ffffff; text-decoration:none;}
		A:hover	{color:#ff8c00;text-decoration:underline;}
		A.bb:hover	{color:#ff8c00;}
	</STYLE>
	
	<BODY LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0" BGCOLOR="#666666">
		
		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%">
			<TR>
				<TD VALIGN="top"><IMG SRC="images/welcometopsTRip.jpg" WIDTH="100%" HEIGHT="101" VSPACE="0" HSPACE="0"></TD>
				<TD WIDTH="38" VALIGN="top"><IMG SRC="images/welcometopsTRipmid.jpg" WIDTH="38" HEIGHT="101" VSPACE="0" HSPACE="0"></TD>
				<TD WIDTH="303" VALIGN="top"><IMG SRC="images/menu.gif" WIDTH="303" HEIGHT="100" useMAP="#menu" BORDER="0" >
					<MAP NAME="menu">
						<AREA SHAPE="rect" COORDS="156,43,210,56" HREF="search.asp" TITLE="Search" ALT="Search">
						<AREA SHAPE="rect" COORDS="97,44,151,55" ONCLICK="VerifyLogout();" HREF="Welcome.asp?Destroy=1" TITLE="Logout" ALT="Logout">
						<AREA SHAPE="rect" COORDS="38,44,92,56" HREF="welcome.asp" TITLE="Home" ALT="Home">
					</MAP>
				</TD>
			</TR>
		</TABLE>

		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="600">
			<TR>
				<TD ROWSPAN="2" VALIGN="top">&nbsp;<IMG SRC="images/figure.gif" VSPACE="20" HSPACE="0" WIDTH="172" HEIGHT="285"></TD>
				<TD HEIGHT="99" VALIGN="top" COLSPAN="2"><IMG SRC="images/welcome.gif" WIDTH="167" HEIGHT="77"></TD>
			</TR>
			<TR>
				<TD WIDTH="30">&nbsp;</TD>
				<TD VALIGN="top">
					<FONT FACE="arial, verdana, helvetica" SIZE="2" COLOR="#ffffff">
						<P>
							Welcome to Spy Net LTD. This site runs in conjunction with the SQL Server 2000 Database Development From Scratch book by <A HREF="mailto:rob-marg@xtra.co.nz">Rob Hawthorne</A>.<BR><BR>
							The development of this site is part of the book, and is designed to give you an overview of how easy it is to create a SQL Server 2000 database and then implement that on the web!
						</P>
						<P>
							On the top right of the screen, you will see three buttons "Home", "Logout" and "Search".
							<LI>The "Home" button will always bring you back here.
							<LI>The "Logout" button will log you out of the system, and return you to the login page.
							<LI>The "Search" button will take you to the search screen, so you can perform a search for People in the system.
						</P>
						<P>
							So have a play and familiarize yourself with the site.<BR>
							If you wish to add to it later, that would be great!<BR>
							Some suggested ideas are
							<LI>Have a data entry screen for Spies and Bad Guys
							<LI>Have a reports screen to see who is on what activity
							<LI>Implement a notification system to a Spy when they are re-assigned i.e. an Email
						</P>
						<P>
							PS: If your PC supports it, this site looks great in 16 bit (or higher color) and a 1024 x 768 (or greater) resolution.
						</P>
						</FONT>
						<FONT FACE="arial, verdana, helvetica" SIZE="2" COLOR="#ff8c00">
						<P>
							This site's awesome graphics have been provided by a very talented Graphic Artist, thank you Jillian for all your hard work!
						</P>
					</FONT>
				</TD>
			</TR>
			<TR>
				<TD>&nbsp;</TD>
			</TR>
		</TABLE>
		
		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%">
			<TR>
				<TD ROWSPAN="3" VALIGN="top"><IMG SRC="images/bottomsTRip.jpg" WIDTH="100%" HEIGHT="162"></TD>
			</TR>
		</TABLE>
	</BODY>
</HTML>
